Events

Event resources represent Absence categories. More information about the Absence categories can be found in our Help documentation: Configuring Your Time Off Settings.

The /events endpoint allows you to create, update, delete, archive or unarchive (restore) Events.

The following diagram shows Events in our data hierarchy:

EventBookingsEntitlementsApproval Workflows

For limited Events, absence bookings can only be created if the assignee has sufficient available hours or days defined via Entitlements.
Approvers and subscribers for a Person’s absence booking on a specific Event can be managed through ApprovalWorkflows.

Also, we differentiate between time off (e.g. vacation, sick leave) and remote work (e.g. work from home) events. This is defined via the absence_type attribute.
It is possible to change an event from the remote_work to the time_off absence type and vice versa, but please note that remote work events will always have the Unpaid event type.

For more details on how to work with remote work events, please refer to the Remote Work help article.

Attributes

absence_type string
Response Request Parameter `filter` Enum

The absence category of this event, either time_off (standard time-off) or remote_work.

Enum Values (2 values)

  • time_off
    Time Off
  • remote_work
    Remote Work
archived_at string
Response

Timestamp when this event was archived, or null if it is still active.

color_id integer
Response Request

ID of the color associated with this event for display purposes.

description string
Response Request

[DESCRIPTION]

event_type_id integer
Response Request Enum

ID of the event type indicating whether this absence is paid (1) or unpaid (2).

Enum Values (2 values)

  • 1
    Paid
  • 2
    Unpaid
half_day_bookings boolean
Response Request Parameter `filter`

When true, bookings for this event can be created in half-day increments.

icon_id string
Response Request

The icon identifier used to visually represent this event in the UI.

id integer
Response Parameter `filter`

The unique identifier of this event.

limitation_type integer
Parameter `filter` Enum

The limitation type of this event used for filtering (limited by days, limited by hours, or unlimited by hours).

Enum Values (3 values)

  • 2
  • 3
  • 4
limitation_type_id integer
Response Request Enum

ID of the limitation type controlling how time-off for this event is tracked: limited by days (2), limited by hours (3), or unlimited by hours (4).

Enum Values (3 values)

  • 2
    Limited by days
  • 3
    Limited by hours
  • 4
    Unlimited by hours
limited boolean
Parameter `filter`

When true, this event has a limit on the amount of time-off that can be booked.

name string
Response Request Parameter `filter`

The display name of this event.

organization organization
Response

The organization this event belongs to.

status integer
Parameter `filter` Enum

The archival status of this event, either active (1) or archived (2).

Enum Values (2 values)

  • 1
  • 2
sync_personal_integrations boolean
Response Request Parameter `filter`

When true, bookings for this event are automatically synced to personal calendar integrations.